Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.manager
Class Update

    java.lang.Object
      org.deegree.ogcwebservices.csw.manager.Operation
          org.deegree.ogcwebservices.csw.manager.Update

    public class Update

extends Operation

An Update object is used to specify values to be used to change existing information in the catalogue. If a complete record instance value is specified then the entire record in the catalogue will be replaced by the value constained in the Update object. If individual record property values are specified in an Update object, then those individual property values of the catalogue record shall be updated.

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`Update(String handle, URI typeName, Filter constraint, Element record, List<FeatureProperty> recordProperties)`

Method Summary
`Filter` | `getConstraint()` The number of records affected by an update action is determined by the contents of the constraint.
`Element` | `getRecord()` complete metadata record to be updated. can be used as an alternative for recordProperties.
`List<FeatureProperty>` | `getRecordProperties()` The element contains a element and a element.
`URI` | `getTypeName()` The optional typeName attribute may be used to specify the collection name from which records will be updated.
`void` | `setConstraint(Filter constraint)` sets the constraint to be considered with an Update operation

Methods inherited from class org.deegree.ogcwebservices.csw.manager.Operation
`getHandle, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Update

    public Update(String handle,
                  URI typeName,
                  Filter constraint,
                  Element record,
                  List<FeatureProperty> recordProperties)

Parameters:
  `handle` -
  `typeName` -
  `constraint` -
  `record` -
  `recordProperties` -

Method Detail

### getConstraint

    public Filter getConstraint()

  The number of records affected by an update action is determined by the contents of the constraint.

  Returns:
    the filter

### setConstraint

    public void setConstraint(Filter constraint)

  sets the constraint to be considered with an Update operation

  Parameters:
    `constraint` -

### getRecord

    public Element getRecord()

  complete metadata record to be updated. can be used as an alternative for recordProperties.

  Returns:
    the element

### getRecordProperties

    public List<FeatureProperty> getRecordProperties()

  The element contains a element and a element. The element is used to specify the name of the record property to be updated. The value of the element may be a path expression to identify complex properties. The element contains the value that will be used to update the record in the catalogue.

  Returns:
    the properties

### getTypeName

    public URI getTypeName()

  The optional typeName attribute may be used to specify the collection name from which records will be updated.

  Returns:
    the name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org